%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: kpilot
Summary: KPilot - pilot synchronization tools for KDE
Version: 3.2.1
Release: 1
Epoch: 2
Source: http://www.cs.kun.nl/~adridg/kpilot/%{name}-%{version}.tar.gz
Patch0: kpilot-3.1b13-rh.patch
Copyright: GPL
Group: Applications/Communications
URL: http://www.cs.kun.nl/~adridg/kpilot/
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport pilot-link
BuildPrereq: kdesupport-devel, kdelibs-devel, pilot-link-devel, compat-egcs-c++
ExcludeArch: ia64
Prefix: %{kdeprefix}

%description
KPilot allows you to synchronize your PalmPilot with your desktop.  It
allows you to backup and restore the various databases (Addressbook,
ToDo List, Memos, etc.) as well as install applications to the pilot.
Two "conduits" for the third party application KOrganizer are included
which will let you sync your ToDo list and Calendar with that program.

%prep
%setup -q
%patch0 -p1 -b .rh

%build
export QTDIR=%{qtdir} KDEDIR=%{kdeprefix} MOC=%{qtdir}/bin/moc
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

autoconf
[ -f configure.in ] && libtoolize --copy --force
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{kdeprefix}/share/mimelnk
make install-strip

# we have it in kdebase
rm -rf $RPM_BUILD_ROOT%{kdeprefix}/share/mimelnk

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- 3.2.1 bugfix release, allows conduits to work again.  Crucial.

* Sun Aug 06 2000 Than Ngo <than@redhat.de>
- fix dependency problem with kdebase-1.1.2

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs/KDE1

* Thu Jul 20 2000 Than Ngo <than@redhat.de>
- rebuilt 3.2.0 against compat-libstdc++

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2
- ExcludeArch: ia64

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- rebuilt with kde1-compat

* Wed Jun 14 2000 Than Ngo <than@redhat.de>
- fix to build with new gcc-2.96
- add missing stuff in beta 13
- cleanup specfile

* Fri Jun 02 2000 Preston Brown <pbrown@redhat.com>
- get Adriaan de Groot's unnofficial release, it fixes many bugs
- Build for Winston Beta1.

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild for 6.2
- Fix up download URL

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Sat Sep 18 1999 Preston Brown <pbrown@redhat.com>
- whoops I incremented the epoch number not the release number

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for kde 1.1.2.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- 3.1b9 upgrade

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- it says 3.1b8, but is is really like 3.1b8-with-preston-cvs-fixes. :)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.1b8

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated for 3.1b7, RPM 3.0.

* Fri Jan 08 1999 Preston Brown <pbrown@redhat.com>
- spec file stolen from korganizer.
